
Ryzom - Feature # 778

Status: New Priority: Low
Author: Spex Category:
Created: 12/07/2009 Assignee:
Updated: 09/29/2010 Due date:
Subject: Get NeL/Snowballs running on Desktop/FreeBSD
Description

Subject says it all. DesktopBSD is used because it's easier to install than FreeBSD in certain configurations; it's based on FreeBSD,
though.

History
#1 - 12/07/2009 08:14 pm - Spex

Much has been done already, because MacOSX is based on the Unix BSD flavor, too. I changed the backtrace() handling, though, because at least
for FreeBSD there exists a library to emulate backtrace() and backtrace_symbols(). Apple offers a library or has it included into their C library as well,
but I can't check that right now.

Aside of that the change to the CMake file isn't idiot proof, yet, i.e. someone may have an execinfo.h somewhere installed, but lacks the actual
implementation. Means, it should be checked if backtrace() is either implemented in some kind of library or part of the default (C-) library, otherwise the
feature should get disabled. Maybe we can add a user config for this kind of stuff, too, for systems where someone wants to add a self-made
libexecinfo.

GTK was faulty, which I blame on either configuration messup or a related problem, will get back to that. Secondly, I stumbled over a problem with
malloc.h in one of the Qt based tool applications (BSDs don't use malloc.h, they want stdlib.h instead).

Anyway, Snowballs runs, without sound, though, there were some unimplemented methods it seems, but I'm not sure what to blame there (haven't
poked that problem, yet).

#2 - 12/08/2009 11:29 am - Spex
- File nel_unit_test.backtrace.txt added
- File log.log added

The nel_unit_test fails with some networking stuff, and I'm not quite sure what causes this to happen. I attached the log plus the backtraces of all
threads of the nel_unit_test application. Further investigation required.

#3 - 12/08/2009 02:14 pm - sfb
- Category set to Misc
- Target version set to 0.8.0

Updating target version to 0.8.0.

#4 - 12/09/2009 04:17 pm - Spex
- File strace.log added
#5 - 09/29/2010 09:47 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (0.8.0)

Files
backtrace_bsd.patch 2.2 kB 12/07/2009 Spex
nel_unit_test.backtrace.txt 7.6 kB 12/08/2009 Spex
log.log 199.7 kB 12/08/2009 Spex
strace.log 3.5 MB 12/09/2009 Spex
